Name:           guile-zlib
Version:        0.2.1
Release:        2%{?dist}
Summary:        Guile bindings for zlib

License:        GPL-3.0-or-later 
URL:            https://notabug.org/guile-zlib/guile-zlib
Source0:        https://notabug.org/guile-zlib/guile-zlib/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf, automake, make
BuildRequires:  pkgconfig(guile-3.0), pkgconfig(zlib)
Requires:       guile30, zlib

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global debug_package %{nil}

%description
This package provides Guile bindings for zlib, a lossless
data-compression library.  The bindings are written in pure Scheme by using
Guile's foreign function interface.

%prep
%autosetup -n %{name}


%build
autoreconf -vif
%configure
%make_build


%install
%make_install

%check
# Increase size of bytevector from 2**16 to 2**18 to trigger no space left error.
# Otherwise Test would fail closing the port.
sed -i 's|65536|262144|g' tests/zlib.scm
%{__make} %{?_smp_mflags} check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README.org

%{guile_site_dir}/zlib.scm
%{guile_ccache_dir}/zlib.go
%{guile_site_dir}/zlib/config.scm
%{guile_ccache_dir}/zlib/config.go


%changelog
%autochangelog
